using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public class Rule1004
    {
        private Random random = new Random();

        // このメソッドは CA1004 に違反しています。
        public TResult CreateTestData<TResult>(IFormatProvider provider)
        {
            return (TResult)Convert.ChangeType(this.random.Next(), typeof(TResult), provider);
        }
    }
}
